%define module IPy
Name:           python-ipy
Version:        0.70
Release:        %mkrel 1
License:        BSD
Summary:        Class and Tools for Handling of IPv4 and IPv6 Addresses and Networks
Url:            http://software.inl.fr/trac/wiki/IPy
Group:          Development/Python
Source:         %{module}-%{version}.tar.bz2
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The IP class allows a comfortable parsing and handling for most
notations in use for IPv4 and IPv6 addresses and networks. It was
greatly inspired by RIPE's Perl module NET::IP's interface but
doesn't share the implementation. It doesn't share non-CIDR netmasks,
so funky stuff like a netmask of 0xffffff0f can't be done here.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root $RPM_BUILD_ROOT --install-purelib=%{python_sitelib}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{python_sitelib}/*



%changelog
* Wed Jun 08 2011 Antoine Ginies <aginies@mandriva.com> 0.70-1mdv2011.0
+ Revision: 683254
- import python-ipy


* Wed Jun 8 2011 Antoine Ginies <aginies@mandriva.com> 0.70
- first release for Mandriva 
